Kerbal Space Program - Bug #18605

Incorrect part variant config for FL-TX440 (Size1p5_Tank_02)
04/18/2018 12:38 PM - cake-pie

Status: Investigating Start date: 04/18/2018
Severity: Low % Done: 20%
Assignee:

Category: Camera

Target version: 1.4.3

Version: 1.4.2 Language:

Platform: Linux, OSX, Windows Mod Related: No
Expansion: Making History

Description

The FL-TX440 Fuel Tank has incorrect part variant config (Size1p5_Tank_02.cfg)
The other related tanks (FL-TX220 / 900 / 1800) have identical part variant config, as follows:

MODULE
{
name = ModulePartVariants
primaryColor = #ffffff
secondaryColor = #000000
baseDisplayName = #autoLOC_8007119
baseThemeName = White
VARIANT
{
name = Grey
displayName = #autoLOC_8007120
themeName = BlackAndWhite
primaryColor = #000000
secondaryColor = #ffffff
TEXTURE
{
mainTextureURL = SquadExpansion/MakingHistory/Parts/FuelTank/Assets/Sizel_5_Tanks_
grey

}
VARIANT
{
name = Dark Grey
displayName = #autoLOC_8007121
themeName = GrayAndOrange
primaryColor = #4c4f47
secondaryColor = #£49841
TEXTURE
{
shader = KSP/Bumped Specular
mainTextureURL = SquadExpansion/MakingHistory/Parts/FuelTank/Assets/Sizel_5_Tanks_
ALTO2
_BumpMap = SquadExpansion/MakingHistory/Parts/FuelTank/Assets/Sizel_5_Tanks_ALTO02_
nm

}
Whereas FL-TX440 has the "White" and "BlackAndWhite" themes reversed:
MODULE

{

name = ModulePartVariants
primaryColor = #ffffff
secondaryColor = #000000
baseDisplayName = #autoLOC_8007120
baseThemeName = BlackAndWhite
VARIANT
{

name = White

displayName = #autoLOC_8007119

themeName = White

primaryColor = #ffffff

secondaryColor = f#eeeeee

TEXTURE

{

mainTextureURL = SquadExpansion/MakingHistory/Parts/FuelTank/Assets/Sizel_5_Tanks_
grey

}
VARIANT
{
name = Dark Grey
displayName = #autoLOC_8007121
themeName = GrayAndOrange
primaryColor = #4c4f47
secondaryColor = #£49841
TEXTURE
{
shader = KSP/Bumped Specular
mainTextureURL = SquadExpansion/MakingHistory/Parts/FuelTank/Assets/Sizel_5_Tanks_
ALTO02

_BumpMap = SquadExpansion/MakingHistory/Parts/FuelTank/Assets/Sizel_5_Tanks_ALT02_
nm

The mistake is evident in a visual comparison:
screenshot8 eses "White" theme, note the FL-TX220 and FL-TX1800 have the checkered pattern in this theme
screenshot9 uses "BlackAndWhite" theme, FL-TX440 has checkered pattern here and looks out of place.

screenshot11 and screenshot12 show the part variants when matched correctly.

History

#2 - 04/26/2018 11:12 PM - Squelch
- Status changed from New to Ready to Test
- Target version set to 1.4.3

- % Done changed from 0 to 80

The variants have been corrected now. White = White, Black and white...

#3 - 04/30/2018 07:18 AM - cake-pie

- File screenshot0.png added

- File screenshot1.png added

- File screenshot2.png added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

No, this has not been fixed.

Tested with MHE-v1.2en-us installed on top of KSP 1.4.3 build 02152

#4 - 04/30/2018 09:55 AM - Squelch

- Status changed from Not Fixed to Investigating
- % Done changed from 50 to 20

#5 - 05/02/2018 03:52 PM - klesh

Confirmed not fixed in 1.4.3

#6 - 06/24/2018 01:09 PM - cake-pie
Not fixed in 1.4.4
